<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <!-- Boostrap 4.6 -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  <title>Boostrap Components</title>

</head>
<body>
  
  <nav class="navbar navbar-expand-lg navbar-dark bg-primary ">
    <a class="navbar-brand" href="#">Ada Lovelace</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse " id="navbarNav" >
      <ul class="navbar-nav ml-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#">About Me <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">About Me</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Projects</a>
        </li>
      </ul>
    </div>
  </nav>

  <!-- Main Content Section Start -->
  <div class="container-fluid text-center">
      <div class="row">

        <!-- Side Navbar Section Start -->
        <div class=" col-xl-2 d-none d-xl-block p-0" id="accordionExample">
          

          <!-- Service Section Start -->
          <div class="card ">
            <div class="card-header" id="headingOne">
              <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  Services
                </button>
              </h2>
            </div>
        
            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
              <div class="card-body">
                 <ul class="text-justify" style="list-style: none;">
                    <li><a href="#">Frontend Design</a></li>
                    <li><a href="#">Backend Design</a></li>
                    <li><a href="#">Full-Stack Design</a></li>
                 </ul>
              </div>
            </div>
          </div>

          <!-- Service Section End -->

          <!-- Projects Section Start -->
          <div class="card">
            <div class="card-header" id="headingTwo">
              <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                  Projects
                </button>
              </h2>
            </div>
            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
              <div class="card-body">
                  <ul class="text-justify" style="list-style: none;">
                    <li><a href="#">HTML</a></li>
                    <li><a href="#">Boostrap</a></li>
                    <li><a href="#">Node JS Server</a></li>
                </ul>
              </div>
            </div>
          </div>
          <!-- Projects Section End -->

          <!-- Tools Section Start -->
          <div class="card">
            <div class="card-header" id="headingThree">
              <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                  Tools
                </button>
              </h2>
            </div>
            <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
              <div class="card-body">
                <ul class="text-justify" style="list-style: none;">
                  <li><a href="#">Core Tools</a></li>
                  <li><a href="#">Other Tools</a></li>
               </ul>
              </div>
            </div>
          </div>
        </div>
           <!-- Tools Section End -->

           <!-- Side Content Section Start -->
            <div class="col-xl-10 p-0">

                <!-- Profile Image -->
                <div class="container-fluid bg-dark text-light min-vh-100 p-3 p-md-5">
                  <img src="./images/ada.jpg" alt="ada lovelace" class="mt-5 mt-md-0 rounded-circle" width="250px" height="250px">
                  <h1>Ada Lovelace</h1>
                  <h3>Full-Stack Developer</h3>
       

                  <div class="row mt-5">
                    <div class="offset-md-2 col-md-8">
                       <p>
                          Lorem ipsum dolor sit amet consectetur adipisicing elit. Nihil eum ut, voluptatum iste odit omnis nobis in ab 
                          laborum, modi consequuntur dicta error aliquid dolorem odio possimus magni optio est! Lorem ipsum dolor sit amet 
                          consectetur adipisicing elit. Nihil eum ut, voluptatum iste odit omnis nobis in ab laborum, modi consequuntur dicta 
                          error aliquid dolorem odio possimus magni optio est!
                       </p>
                    </div>
                  </div>
           
              <!-- Profile End Section -->

              <!-- Carusel Section Start-->
              <div class="row d-none d-md-block mt-md-5">
                  <div class="offset-xl-3 col-xl-6">
                    <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                      <ol class="carousel-indicators">
                        <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                        <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                        <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                      </ol>
                      <div class="carousel-inner">
                        <div class="carousel-item active">
                          <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
                          <div class="carousel-caption d-none d-md-block">
                            <h5>First slide label</h5>
                            <p>Some representative placeholder content for the first slide.</p>
                          </div>
                        </div>
                        <div class="carousel-item">
                          <img src="https://placekitten.com/500/300" class="d-block w-100" alt="...">
                          <div class="carousel-caption d-none d-md-block">
                            <h5>Second slide label</h5>
                            <p>Some representative placeholder content for the second slide.</p>
                          </div>
                        </div>
                        <div class="carousel-item">
                          <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
                          <div class="carousel-caption d-none d-md-block">
                            <h5>Third slide label</h5>
                            <p>Some representative placeholder content for the third slide.</p>
                          </div>
                        </div>
                      </div>
                      <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="sr-only">Previous</span>
                      </button>
                      <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="sr-only">Next</span>
                      </button>
                    </div>
                  </div>
              </div>

            </div>
               <!-- Carousel Section End-->

               <!-- Other Projects Container Start -->
               <div class="min-vh-100 d-lg-flex justify-content-around bg-secondary  p-md-5 ">

                    <!-- HTML Card Start -->
                    <div class="card  bg-dark p-lg-4" style="width: 18rem;">
                      <img src="./images/html.jpg" class="card-img-top " alt="html-img">
                        <div class="card-body">
                          <h5 class="card-title text-white">HTML</h5>
                          <p class="card-text text-white">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quod modi qui, quae deleniti alias pariatur praesentium natus expedita aliquam, nobis ducimus illum dignissimos laborum, ratione animi optio minima accusantium recusandae!Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quod modi qui, quae deleniti alias pariatur praesentium natus expedita aliquam, nobis ducimus illum dignissimos laborum, ratione animi optio minima accusantium recusandae!</p>
                          <a href="#" class="btn btn-primary">Link to Project</a>
                        </div>
                    </div>
                    <!-- HTML Card End -->

                    <!-- Boostrap Card Start -->
                    <div class="card bg-dark p-lg-4" style="width: 18rem;">
                      <img src="./images/bootstrap-illustration.png"  class="card-img-top" alt="boostrap img">
                        <div class="card-body">
                          <h5 class="card-title text-white">Boostrap</h5>
                          <p class="card-text text-white">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quod modi qui, quae deleniti alias pariatur praesentium natus expedita aliquam, nobis ducimus illum dignissimos laborum, ratione animi optio minima accusantium recusandae!Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quod modi qui, quae deleniti alias pariatur praesentium natus expedita aliquam, nobis ducimus illum dignissimos laborum, ratione animi optio minima accusantium recusandae!</p>
                          <a href="#" class="btn btn-primary">Link to Project</a>
                        </div>
                    </div>
                    <!-- Boostrap Card End -->   
                    
                    <!-- NodeJS Server Card Start -->
                    <div class="card bg-dark p-lg-4" style="width: 18rem;">
                      <img src="./images/nodejs.png" class="card-img-top" alt="...">
                        <div class="card-body">
                          <h5 class="card-title text-white">NodeJS Server</h5>
                          <p class="card-text text-white">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quod modi qui, quae deleniti alias pariatur praesentium natus expedita aliquam, nobis ducimus illum dignissimos laborum, ratione animi optio minima accusantium recusandae!Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quod modi qui, quae deleniti alias pariatur praesentium natus expedita aliquam, nobis ducimus illum dignissimos laborum, ratione animi optio minima accusantium recusandae!</p>
                          <a href="#" class="btn btn-primary">Link to Project</a>
                        </div>
                    </div>
                    <!-- NodeJS Server Card End -->                     
                    
               </div>
               <!-- Other Projects Container End -->
               
                <!-- Contact Information Start-->
                <div class="min-vh-100 d-lg-flex justify-content-around bg-dark  p-md-5 ">
                    <div class=" container-fluid w-100 r">
                          <h3 class="text-center text-light">Contact Me</h3>
                          <div class="row pt-4">
                            <form class="bg-primary p-4 col-xl-4 col-md-8 col-sm-12  m-auto">
                        <!-- col-sm-12 col-lg-8 col-xl-4" -->
                                <div class="form-group ">
                                  <label for="name" class="text-white">Name</label>
                                  <input type="Text" class="form-control"  id="inputEmail4" placeholder="Your Name">
                                </div>

                                <div class="form-group ">
                                  <label for="email" class="text-white">Email</label>
                                  <input type="email" class="form-control" id="email" placeholder="name@example.com">
                                </div>
                             
                              <div class="form-group">
                                <label for="inputContact" class="text-white">Contact Number</label>
                                  <input type="text" class="form-control" id="inputContact" placeholder="+63 900 000 000">
                              </div>
                              <div class="form-group">
                                <label for="concern" class="text-white">Concern</label>
                                <select id="concern" class="form-control">
                                  <option selected>Quotation...</option>
                                  <option>Appointment</option>
                                  <option>Follow up</option>
                                </select>
                              </div>

                              <div class="mb-3">
                                <label for="validationTextarea" class="text-white">Message</label>
                                <textarea class="form-control" rows="6" id="validationTextarea" placeholder="" required></textarea>
  
                              </div>
                              
                              <!-- Button trigger modal -->
                              <button type="button" class="btn btn-dark" data-toggle="modal" data-target="#exampleModal">
                                Send Email
                              </button>

                              <!-- Modal -->
                              <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                  <div class="modal-content">
                                    <div class="modal-header">
                                      <h5 class="modal-title" id="exampleModalLabel">Thank you for contacting Us!</h5>
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                      </button>
                                    </div>
                                    <div class="modal-body">
                                      Message Successful Sent
                                    </div>
                                    <div class="modal-footer">
                                      <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    </div>
                                  </div>
                                </div>
                              </div>

                            </form>
                          </div>
                    </div>
                </div>

                <!-- Contact Information End  -->

               </div>
            </div>  
           <!-- Side Content Section End -->

      

      </div>
  </div>

  <!-- Option 2: Separate Popper and Bootstrap JS -->
    
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js" integrity="sha384-+sLIOodYLS7CIrQpBjl+C7nPvqq+FbNUBDunl/OZv93DB7Ln/533i8e/mZXLi/P+" crossorigin="anonymous"></script>
</body>
</html>